/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.jirasource;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSourceConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelJirasourceSourceConnectorConfig
        extends
            CamelSourceConnectorConfig {

    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_JIRA_URL_CONF = "camel.kamelet.jira-source.jiraUrl";
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_JIRA_URL_DOC = "The URL of your instance of Jira. Example: http://my_jira.com:8081";
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_JIRA_URL_DEFAULT = null;
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_USERNAME_CONF = "camel.kamelet.jira-source.username";
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_USERNAME_DOC = "The username to access Jira.";
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_USERNAME_DEFAULT = null;
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_PASSWORD_CONF = "camel.kamelet.jira-source.password";
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_PASSWORD_DOC = "The password or the API Token to access Jira.";
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_PASSWORD_DEFAULT = null;
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_JQL_CONF = "camel.kamelet.jira-source.jql";
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_JQL_DOC = "A query to filter issues. Example: project=MyProject";
    public static final String CAMEL_SOURCE_JIRASOURCE_KAMELET_JQL_DEFAULT = null;

    public CamelJirasourceSourceConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelJirasourceSourceConnectorConfig(Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSourceConnectorConfig.conf());
        conf.define(CAMEL_SOURCE_JIRASOURCE_KAMELET_JIRA_URL_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JIRASOURCE_KAMELET_JIRA_URL_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_JIRASOURCE_KAMELET_JIRA_URL_DOC);
        conf.define(CAMEL_SOURCE_JIRASOURCE_KAMELET_USERNAME_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JIRASOURCE_KAMELET_USERNAME_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_JIRASOURCE_KAMELET_USERNAME_DOC);
        conf.define(CAMEL_SOURCE_JIRASOURCE_KAMELET_PASSWORD_CONF, ConfigDef.Type.PASSWORD, CAMEL_SOURCE_JIRASOURCE_KAMELET_PASSWORD_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_JIRASOURCE_KAMELET_PASSWORD_DOC);
        conf.define(CAMEL_SOURCE_JIRASOURCE_KAMELET_JQL_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_JIRASOURCE_KAMELET_JQL_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_JIRASOURCE_KAMELET_JQL_DOC);
        return conf;
    }
}